﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TemplateColumnEditing_WPF
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.CellRenderers.Remove("Template");
            this.dataGrid.CellRenderers.Add("Template", new CustomGridCellTemplateRenderer());
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Button 1 is clicked");
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Button 2 is clicked");
        }
    }
    public class CustomGridCellTemplateRenderer : GridCellTemplateRenderer
    {
        protected override void SetFocus(FrameworkElement uiElement, bool needToFocus)
        {
            if (!needToFocus)
                DataGrid.Focus();
        }
    }
}
